Package org.apache.sling.junit

# Interface TestsManager

@ProviderType public interface TestsManager
Service that gives access to JUnit test classes

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`TestsManager.NoTestCasesFoundException`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearCaches()`
Deprecated.
Caches have been removed.
`void`
`executeTests(@Nullable Collection<String> testNames, @NotNull Renderer renderer, @Nullable TestSelector selector)`
Deprecated.
use `executeTests(Renderer, TestSelector)` instead
`void`
`executeTests(@NotNull Renderer renderer, @Nullable TestSelector selector)`
Execute tests and report results using supplied Renderer - does NOT call setup or cleanup on renderer.
`Class<?>`
`getTestClass(@NotNull String testName)`
Instantiate test class for specified test
`Collection<String>`
`getTestNames(@Nullable TestSelector selector)`
Return the names of available tests
`void`
`listTests(@NotNull Collection<String> testNames, @NotNull Renderer renderer)`
List tests using supplied Renderer - does NOT call setup or cleanup on renderer.

## Method Details

### getTestNames

Collection<String> getTestNames(@Nullable @Nullable TestSelector selector)
Return the names of available tests

Parameters:
  `selector` - if null, returns all available tests.
Returns:
  the name of the tests

### getTestClass

Class<?> getTestClass(@NotNull @NotNull String testName) throws ClassNotFoundException
Instantiate test class for specified test

Parameters:
  `testName` - the test class
Returns:
  an instance of the class
Throws:
  `ClassNotFoundException` - if a class for `testName` cannot be found

### listTests

void listTests(@NotNull @NotNull Collection<String> testNames, @NotNull @NotNull Renderer renderer) throws Exception
List tests using supplied Renderer - does NOT call setup or cleanup on renderer.

Parameters:
  `testNames` - the tests to list
  `renderer` - the renderer to use
Throws:
  `Exception` - if any error occurs

### executeTests

void executeTests(@NotNull @NotNull Renderer renderer, @Nullable @Nullable TestSelector selector) throws TestsManager.NoTestCasesFoundException, Exception
Execute tests and report results using supplied Renderer - does NOT call setup or cleanup on renderer.

Parameters:
  `renderer` - the renderer to use for the reporting
  `selector` - the selector used to select tests and test methods; all tests are executed if this is null
Throws:
  `TestsManager.NoTestCasesFoundException` - if no tests matching the selector are available
  `Exception` - if an error occurs

### executeTests

@Deprecated void executeTests(@Nullable @Nullable Collection<String> testNames, @NotNull @NotNull Renderer renderer, @Nullable @Nullable TestSelector selector) throws Exception
Deprecated.
use `executeTests(Renderer, TestSelector)` instead
Execute tests and report results using supplied Renderer - does NOT call setup or cleanup on renderer.

Parameters:
  `testNames` - the tests
  `renderer` - the renderer to use for the reporting
  `selector` - the selector used to select tests and test methods (it can be `null`)
Throws:
  `Exception` - if any error occurs

### clearCaches

@Deprecated void clearCaches()
Deprecated.
Caches have been removed.
Clear our internal caches. Useful in automated testing, to make sure changes introduced by recent uploads or configuration or bundles changes are taken into account immediately.